# Generated by Django 2.2.7 on 2019-11-15 07:50

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('advertisement', '0006_auto_20191115_0750'),
        ('main', '0035_merge_20191112_1218'),
    ]

    operations = [
        migrations.CreateModel(
            name='PageType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
            ],
            options={
                'verbose_name': 'page type',
                'verbose_name_plural': 'page types',
            },
        ),
        migrations.AlterModelOptions(
            name='page',
            options={'verbose_name': 'page', 'verbose_name_plural': 'pages'},
        ),
        migrations.RemoveField(
            model_name='page',
            name='advertisements',
        ),
        migrations.RemoveField(
            model_name='page',
            name='page_name',
        ),
        migrations.AddField(
            model_name='page',
            name='advertisement',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='pages', to='advertisement.Advertisement', verbose_name='advertisement'),
        ),
        migrations.AddField(
            model_name='page',
            name='created',
            field=models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created'),
        ),
        migrations.AddField(
            model_name='page',
            name='height',
            field=models.PositiveIntegerField(null=True, verbose_name='Block height'),
        ),
        migrations.AddField(
            model_name='page',
            name='image_url',
            field=models.URLField(blank=True, default=None, null=True, verbose_name='Image URL path'),
        ),
        migrations.AddField(
            model_name='page',
            name='modified',
            field=models.DateTimeField(auto_now=True, verbose_name='Date updated'),
        ),
        migrations.AddField(
            model_name='page',
            name='source',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Mobile'), (1, 'Web'), (2, 'All')], default=0, verbose_name='Source'),
        ),
        migrations.AddField(
            model_name='page',
            name='width',
            field=models.PositiveIntegerField(null=True, verbose_name='Block width'),
        ),
        migrations.RemoveField(
            model_name='feature',
            name='route',
        ),
        migrations.AddField(
            model_name='feature',
            name='route',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='main.PageType'),
        ),
    ]
